import { html as h } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, n = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, s) : t, i = c.length - 1, l; i >= 0; i--)
    (l = c[i]) && (e = (r ? l(t, s, e) : l(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--chevronDoubleRightLarge", this.class = "c-pieIcon c-pieIcon--chevronDoubleRightLarge", this.name = "IconChevronDoubleRightLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--chevronDoubleRightLarge"><path d="M13.979 26.124 24.46 16a.131.131 0 0 0 0-.096L13.961 5.84l1.225-1.216 10.5 10.063a1.907 1.907 0 0 1 0 2.624L15.178 27.376l-1.2-1.251Z"></path><path d="M5.806 26.124 16.298 16a.131.131 0 0 0 0-.096L5.797 5.84l1.224-1.216 10.5 10.063a1.908 1.908 0 0 1 0 2.624L7.006 27.376l-1.199-1.251Z"></path></svg>`;
  }
};
n([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  g("icon-chevron-double-right-large")
], o);
export {
  o as IconChevronDoubleRightLarge
};
